Skip to content
中文

GET /suno/fetch/

Method: GETEndpoint: /suno/fetch/{task_id}

Request Parameters

Path Parameters

text
task_id
string
Task ID
Required

Header Parameters

text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Example Request

Shell

bash
curl --location --request GET '/suno/fetch/' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}'

Response

🟢 200 Success

Content Type: application/json

Response Schema

text
code
string
Required
message
string
Required
data
object
Required
task_id
string
Required
notify_hook
string
Required
action
string
Required
status
string
Required
fail_reason
string
Required
submit_time
integer
Required
start_time
integer
Required
finish_time
integer
Required
progress
string
Required
data
array
[object]
Required

Example

json
{
    "code": "success",
    "message": "",
    "data": {
        "task_id": "f4a94d75-087b-4bb1-bd45-53ba293faf96",
        "notify_hook": "",
        "action": "LYRICS",
        "status": "SUCCESS",
        "fail_reason": "",
        "submit_time": 1716192124,
        "start_time": 1716192124,
        "finish_time": 1716192124,
        "progress": "100%",
        "data": {
            "id": "f4a94d75-087b-4bb1-bd45-53ba293faf96",
            "text": "[Verse]\nDancing in the neon light\nWith the rhythm\nFeeling so right\nMiku's here to steal the show\nWatch her dance\nFeel the techno glow\n\nShe's got moves like no one else\nIn this digital carousel\nWith her voice\nShe mesmerizes\nEvery beat\nEvery sound maximizes\n\n[Verse 2]\nIn her virtual world\nShe's the queen\nWith energy like you've never seen\nShe'll take you on a cosmic ride\nWith her dance moves\nShe can't hide",
            "title": "Electric Fantasy",
            "status": "complete"
        }
    }
}